# useTestNG

abstract fun useTestNG()

Use the TestNG testing framework.

Gradle will provide the version of TestNG to use. Defaults to version `7.4.0`

abstract fun useTestNG(version: String)

Use the TestNG testing framework with a specific version.

#### Parameters

version

version of TestNG to use

abstract fun useTestNG(version: Provider<String>)

Use the TestNG testing framework with a specific version.

#### Since

7.6

#### Parameters

version

provider supplying the version of TestNG to use